Main Page Widgets Namespaces Book

# Glib::PropertyProxy_Base Class Reference

Inheritance diagram for Glib::PropertyProxy_Base:

[legend]
List of all members.

## Public Methods

| PropertyProxy_Base (Object* obj, const char* property_name)
| PropertyProxy_Base (const PropertyProxy_Base& other)
SignalProxyProperty | signal_changed ()
| This signal will be emitted when the property changes.
Object* | get_object () const
const char* | get_name () const

## Protected Methods

void | set_property_ (const Glib::ValueBase& value)
void | get_property_ (Glib::ValueBase& value) const
void | reset_property_ ()

## Protected Attributes

Object* | obj_
const char* | property_name_

## Constructor & Destructor Documentation

Glib::PropertyProxy_Base::PropertyProxy_Base | ( | Object* | obj,
|  | const char* | property_name
| ) |

Glib::PropertyProxy_Base::PropertyProxy_Base | ( | const PropertyProxy_Base& | other | ) |

## Member Function Documentation

const char* Glib::PropertyProxy_Base::get_name | ( |  | ) | const`[inline]`

Object* Glib::PropertyProxy_Base::get_object | ( |  | ) | const`[inline]`

void Glib::PropertyProxy_Base::get_property_ | ( | Glib::ValueBase& | value | ) | const`[protected]`

void Glib::PropertyProxy_Base::reset_property_ | ( |  | ) | `[protected]`

void Glib::PropertyProxy_Base::set_property_ | ( | const Glib::ValueBase& | value | ) | `[protected]`

SignalProxyProperty Glib::PropertyProxy_Base::signal_changed | ( |  | ) |

| This signal will be emitted when the property changes.

## Member Data Documentation

Object* Glib::PropertyProxy_Base::obj_`[protected]`

const char* Glib::PropertyProxy_Base::property_name_`[protected]`

The documentation for this class was generated from the following file:

- propertyproxy_base.h